{
  "easycom": {
    "^u-(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue",
    "^up-(.*)": "@/uni_modules/uview-plus/components/u-$1/u-$1.vue"
  },
  "pages": [
    {
      "path": "pages/home",
      "style": {
        "navigationBarTitleText": "闽南文化生态保护-首页",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/home/introduction",
      "style": {
        "navigationBarTitleText": "闽南文化生态保护-介绍",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/introduction/character/list",
      "style": {
        "navigationBarTitleText": "历史人物列表",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/introduction/food/list",
      "style": {
        "navigationBarTitleText": "闽南美食",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/introduction/character/details",
      "style": {
        "navigationBarTitleText": "历史人物详情"
      }
    },
    {
      "path": "pages/travel",
      "style": {
        "navigationBarTitleText": "闽南文化生态保护-文旅",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/travel/calendar",
      "style": {
        "navigationBarTitleText": "节庆日历",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/travel/nav/navto",
      "style": {
        "navigationBarTitleText": "导航"
      }
    },
    {
      "path": "pages/discover",
      "style": {
        "navigationBarTitleText": "闽南文化生态保护-发现",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/inhert",
      "style": {
        "navigationBarTitleText": "闽南文化生态保护-传承",
        "navigationStyle": "custom"
      }
    },
    {
      "path": "pages/inhert/artifact/list",
      "style": {
        "navigationBarTitleText": "文物古迹",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/inhert/artifact/details",
      "style": {
        "navigationBarTitleText": "文物详情"
      }
    },
    {
      "path": "pages/inhert/intangible/list",
      "style": {
        "navigationBarTitleText": "非遗列表"
      }
    },
    {
      "path": "pages/inhert/intangible/details",
      "style": {
        "navigationBarTitleText": "非遗项目详情"
      }
    },
    {
      "path": "pages/inhert/product/details",
      "style": {
        "navigationBarTitleText": "非遗作品详情"
      }
    },
    {
      "path": "pages/inhert/inheritor/list",
      "style": {
        "navigationBarTitleText": "传承人列表",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/inhert/inheritor/details",
      "style": {
        "navigationBarTitleText": "传承人详情"
      }
    },
    {
      "path": "pages/inhert/seminar/details",
      "style": {
        "navigationBarTitleText": "传习所详情"
      }
    },
    {
      "path": "pages/inhert/old/list",
      "style": {
        "navigationBarTitleText": "老字号",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/inhert/map/index",
      "style": {
        "navigationBarTitleText": "文化地图"
      }
    },
    {
      "path": "pages/inhert/village/list",
      "style": {
        "navigationBarTitleText": "村落列表",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/inhert/village/details",
      "style": {
        "navigationBarTitleText": "村落详情"
      }
    },
    {
      "path": "pages/article/common/list",
      "style": {
        "navigationBarTitleText": "通用列表页",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/article/details",
      "style": {
        "navigationBarTitleText": "新闻详情"
      }
    },
    {
      "path": "pages/article/list",
      "style": {
        "navigationBarTitleText": "文章列表页",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/article/web/ewebview",
      "style": {
        "navigationBarTitleText": "",
        "navigationStyle": "custom",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/article/editor/editor",
      "style": {
        "navigationBarTitleText": "编辑文章",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/article/editor/preview",
      "style": {
        "navigationBarTitleText": "预览文章",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/video/details",
      "style": {
        "navigationBarTitleText": "视频播放页"
      }
    },
    {
      "path": "pages/video/list",
      "style": {
        "navigationBarTitleText": "视频列表页"
      }
    },
    {
      "path": "pages/user/index",
      "style": {
        "navigationBarTitleText": "个人中心",
        "navigationStyle": "custom",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/user/login",
      "style": {
        "navigationBarTitleText": "登录",
        "enablePullDownRefresh": false
      }
    },
    {
      "path": "pages/user/contribute/list",
      "style": {
        "navigationBarTitleText": "我的投稿",
        "enablePullDownRefresh": true
      }
    },
    {
      "path": "pages/user/contribute/submit",
      "style": {
        "navigationBarTitleText": "投稿"
      }
    }
  ],
  "globalStyle": {
    "navigationBarTextStyle": "black",
    "navigationBarTitleText": "uni-app",
    "navigationBarBackgroundColor": "#f6f2e7",
    "backgroundColor": "#f6f2e7"
  },
  "uniIdRouter": {},
  "tabBar": {
    "custom": true,
    "list": [
      {
        "pagePath": "pages/home",
        "text": "首页"
      },
      {
        "pagePath": "pages/discover",
        "text": "发现"
      },
      {
        "pagePath": "pages/inhert",
        "text": "传承"
      },
      {
        "pagePath": "pages/travel",
        "text": "文旅"
      },
      {
        "pagePath": "pages/user/index",
        "text": "我的"
      }
    ]
  }
}
